View Issue Details

IDProjectCategoryView StatusLast Update
0005366Kali Linux[All Projects] Kali Package Improvementpublic2019-04-08 12:38
Reporterfaraday-devAssigned Tosbrun 
PriorityhighSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2019.1 
Target VersionFixed in Version 
Summary0005366: Prompt change password on python-faraday the first time
DescriptionWe were testing kalli rolling and we found that faraday is shipped with a random password, this forces the user to use a change password script the first time.

We have an update of the faraday start script that will prompt the user the first time to change the password:

```
#!/bin/sh
aux_file_path="/root/.faraday/password_changed.txt"

systemctl start python-faraday
sleep 3
if [ ! -f $aux_file_path ]; then
    touch $aux_file_path
    cd /usr/share/python-faraday
    echo "Please, set a new password for the Faraday's default user 'faraday'"
    ./manage.py change-password
    ./faraday.py --login
else
    cd /usr/share/python-faraday && ./faraday.py "$@"
fi
systemctl stop python-faraday
```

Let us know if you want to change something on the script.

Thanks!
Steps To ReproduceOpen farada ide icon. If you try to browse the faraday web gui you can't log in into faraday.

Relationships

has duplicate 0005346 closedsbrun Prompt change password on python-faraday the first time 

Activities

sbrun

2019-04-08 12:38

manager   ~0010487

fixed in version 3.6.0-0kali3 and later.

Issue History

Date Modified Username Field Change
2019-03-27 19:40 faraday-dev New Issue
2019-03-27 19:40 faraday-dev Issue generated from: 0005346
2019-03-28 13:21 sbrun Assigned To => sbrun
2019-03-28 13:21 sbrun Status new => assigned
2019-03-28 13:22 sbrun Relationship added has duplicate 0005346
2019-04-08 12:38 sbrun Status assigned => resolved
2019-04-08 12:38 sbrun Resolution open => fixed
2019-04-08 12:38 sbrun Note Added: 0010487